org.apache.hadoop.yarn.server.federation.policies.manager

## Class HashBroadcastPolicyManager

- java.lang.Object
- - org.apache.hadoop.yarn.server.federation.policies.manager.AbstractPolicyManager
  - - org.apache.hadoop.yarn.server.federation.policies.manager.HashBroadcastPolicyManager

- All Implemented Interfaces:
    FederationPolicyManager

      public class HashBroadcastPolicyManager
      extends AbstractPolicyManager

  Policy that routes applications via hashing of their queuename, and broadcast resource requests. This picks a `HashBasedRouterPolicy` for the router and a `BroadcastAMRMProxyPolicy` for the amrmproxy as they are designed to work together.

- - ### Field Summary

    - ### Fields inherited from class org.apache.hadoop.yarn.server.federation.policies.manager.AbstractPolicyManager

      `amrmProxyFederationPolicy, LOG, routerFederationPolicy`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HashBroadcastPolicyManager()`

  - ### Method Summary

    - ### Methods inherited from class org.apache.hadoop.yarn.server.federation.policies.manager.AbstractPolicyManager

      `getAMRMPolicy, getQueue, getRouterPolicy, serializeConf, setQueue`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HashBroadcastPolicyManager

          public HashBroadcastPolicyManager()

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.